二、疑难

查了一下,说是需要安装匹配的Silverlight Developer。
故搜索Silverlight Developer。发现没有“Silverlight
Developer”,但找到了Silverlight官方的 Silverlight
Downloads

页面。以为只是文字别名的小问题,应该下载官方的最新开发包就行了。
但发现该页面下载的“Silverlight 5 Toolkit”、“Silverlight 5
SDK”,安装后均不能解决问题。
仔细一看,发现“Silverlight 5 Toolkit”、“Silverlight 5 SDK”均是
5.0.61118.0,与之前的相同,没有5.1.50907.0版。

于是又换了多种搜索引擎,尝试加上“5.1.50907.0”等关键词。但仍是查到刚才的那些页面,或者是其他网站转载的,均不顶用。看来是没有“Silverlight
5 SDK 5.1.50907.0”的。

 

三、解决

既然上述办法均无效,我想那就干脆卸载Silverlight再重装吧。

将Silverlight卸载后,尝试打开了一次VS。VS弹出对话框说Silverlight没安装,并提供一个下载链接

https://download.microsoft.com/download/F/D/0/FD0B0093-DE8A-4C4E-BDC4-F0C56D72018C/50907.00/Silverlight_Developer.exe

将它下载安装后,发现它正好是我们所需要的最新版(5.1.50907.0)的Silverlight
Developer。VS能成功调试Silverlight程序了。

打开控制面板“卸载或更改程序”的版本号还是跟以前一样——

  • Silverlight: 5.1.50907.0
  • Silverlight 5 SDK – CHS: 5.0.61118.0

这种情况一般是安装的silverlight不是开发版,需要把已安装的Microsoft
Silverlight卸载掉,然后安装一个开发版即可。

参考文献

这次版本确实比SDK高了,重新启动程序 OK
终于可以正常运行了。

作者: zyl910

bifa88 1

四、分析

根据此次经历,可得知——

  • Silverlight插件有2个运行时,分别是“Silverlight”与“Silverlight
    Developer”。但它们在控制面板“卸载或更改程序”里显示的是同一个程序(Silverlight),导致我们不好判断是不是Developer版。
  • Silverlight 的版本号与“Silverlight
    SDK”不同。因为缺陷修复等原因,Silverlight的版本有时比“Silverlight
    SDK”新的多。但只要主版本号相同,便能使用(例如“Silverlight SDK
    5.0.61118.0”开发的应用可以在“Silverlight 5.1.50907.0”上运行)。
  • 若要调试Silverlight应用,除了需要“Silverlight
    SDK”进行编译外,还需要“Silverlight
    Developer”运行时。而在“Silverlight”运行时下是不能调试的。

这次问题的发生原因是——

  • 在浏览器中升级Silverlight,实际上更新为“Silverlight”运行时(非Developer)。“Silverlight
    Developer”因版本较低而被覆盖了。
  • 当VS检查到只有Silverlight没有“Silverlight
    Developer”运行时时,会弹出错误对话框。但它没有提供下载链接,导致我们得自己去找。
  • 官网的“Get
    Silverlight”提供了最新版的Silverlight运行时(非Developer),但找不到“Silverlight
    Developer”的下载地址。
  • 官网的“Silverlight Downloads”提供了“Silverlight 5
    Toolkit”、“Silverlight 5 SDK”。但它们中集成的“Silverlight
    Developer”是旧的。

 正好上述链接中的客户端版本和我的SDK匹配那么下载一个不就可以了吗

一、问题

今天需要调试一个SilverLight程序。运行时ie弹出了一个升级提示,于是手贱点了升级。
随后便悲剧了,VS调试时报“无法启动调试–未安装 Silverlight Developer
运行时。请安装一个匹配版本”。

打开控制面板里的“卸载或更改程序”,发现版本号确实不同——

  • Silverlight: 5.1.50907.0
  • Silverlight 5 SDK – CHS: 5.0.61118.0

但奇怪的是,没看到“Silverlight Developer”,只看到“Silverlight”。

最后终于在SilverLight:”无法启动调试–未安装
Silverlight Developer
运行时。请安装一个匹配版本”的解决方案。
中找到问题的所在。

此外
如何查看下载的silverlight_developer.exe的版本,右键属性
版本中可以看到

 

找到Microsoft Silverlight 卸载掉

先在控制面板-添加删除程序中查看
sdk的版本号:

 

bifa88 2

找到silverlight_developer.exe,这个就是所谓的silverlight 开发版了。

2.解压Silverlight4_Tools.exe文件(在哪里下载就不说了),

其他silverlight常见问题silverlight部署 2104 类别:InitializeError
错误

重新安装下载后的silverlight_developer.exe。在检查silverlight的版本信息

bifa88 3

安装后就可以调试了。

安装完silverlight_developer.exe运行后提示“此页需要新版的silverlight”
更新后又无法调试,来回折腾了N次还是没有解决问题,

而我的silverlight_developer.exe
是40.0512**的低于该版本,是不是下载个高版本的就可以了呢。

最近重做了系统,发现按以上方法依然没有解决问题:

 

方法:

可见SDK和silverlight客户端版本是要匹配的
至少客户端版本要高于sdk的版本

1.控制面板-添加删除程序:

相关文章